import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/home',
      name: 'home',
      component: HomeView,
      children:[
        {
          path: '/process',
          name: 'process',
          component: () => import('../views/maintenance/m-process.vue'),
        },
        {
          path: '/requirements',
          name: 'requirements',
          component: () => import('../views/maintenance/m-requirements.vue'),
        },
        {
          path: '/factory',
          name: 'factory',
          component: () => import('../views/maintenance/m-factory.vue'),
        },
        {
          path: '/other',
          name: 'other',
          component: () => import('../views/maintenance/m-other.vue'),
        },
        {
          path: '/quality',
          name: 'quality',
          component: () => import('../views/lecher/l-quality.vue'),
        },
        {
          path: '/flaws',
          name: 'flaws',
          component: () => import('../views/lecher/l-flaws.vue'),
        },
        {
          path: '/',
          name: 'about',
          component: () => import('../views/AboutView.vue'),
        },
        {
          path: '/detail',
          name: 'detail',
          component: () => import('../views/maintenance/p-details.vue'),
        },
      ]
    },

    {
      path: "/:catchAll(.*)",
      name: "404",
      component: () => import("../views/NotFound.vue"),
    },
  ],
})

export default router
